Description: fix incorrect magic byte values for png headers.
Bug: #649249
Author: Nico Golde <nion@debian.org>
Last-Update: 2011-11-19
Index: tcpxtract-1.0.1/tcpxtract.conf
===================================================================
--- tcpxtract-1.0.1.orig/tcpxtract.conf
+++ tcpxtract-1.0.1/tcpxtract.conf
@@ -30,7 +30,7 @@ jpg(1000000, \xff\xd8\xff\xe0\x00\x10, \
 jpg(1000000, \xff\xd8\xff\xe1);
 
 # PNG   (used in web pages)
-png(1000000, \x50\x4e\x47\?, \xff\xfc\xfd\xfe);
+png(1000000, \?\x50\x4e\x47, \xff\xfc\xfd\xfe);
 
 # BMP 	(used by MSWindows, use only if you have reason to think there are
 #      	BMP files worth digging for. This often kicks back a lot of false
